Subject: Re: [PATCH] can: let SJA1000 driver depend on HAS_IOMEM

From: Oliver Hartkopp <[email-masked]>
Date: Wed, 24 Jun 2009 10:35:59 +0200

Wolfgang Grandegger wrote:
> David Miller wrote:
>> From: Oliver Hartkopp <[email-masked]>

>>> the question is, if we should add HAS_IOMEM to almost every SJA1000 depended
>>> driver like SJA1000_PLATFORM, SJA1000_OF_PLATFORM, EMS_PCI and KVASER_PCI ???
>>>
>>> Is it possible to have a support for the SJA1000 that does *not* depend on
>>> HAS_IOMEM?
>
> In principle yes by using an appropriate driver accessing the SJA1000
> with other methods. But I might be wrong because it does not make sense
> hardware-wise.
>
>> This was my initial impression when I saw Wolfgang's suggested patch,
>> and I still feel this way, and thus Heiko's patch seems the best for
>> now until there is an exception.
>>
>> And in fact Heiko's patch has been in my tree for a while already :)
>
> OK, that's fine for the moment. We may even consider making CONFIG_CAN
> depend on HAS_IOMEM like for SPI, USB, Serial, etc.

Why CONFIG_CAN ??

CONFIG_CAN provides a network protocol family that can be used e.g. with the
vcan driver without any hardware. So HAS_IOMEM only has to take care of some
drivers, that fiddle on CAN controller registers themselves. E.g. for SPI, USB
and Serial these 'underlying' interfaces bring their own requirements. When we
depend on SPI, it should bring HAS_IOMEM as a dependency of SPI.

Regards,
Oliver